%define oname   atomic

Name:       ruby-%{oname}
Version:    1.1.101
Release:    %mkrel 7
Summary:    An atomic reference implementation for JRuby, Rubinius, and MRI
Group:      Development/Ruby
License:    ASL 2.0
URL:        https://github.com/headius/ruby-atomic
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel

%description
This library provides:

* an Atomic class that guarantees atomic updates to its contained value

The Atomic class provides accessors for the contained "value" plus two
update methods:

* update will run the provided block, passing the current value and
  replacing it with the block result iff the value has not been changed
  in the mean time. It may run the block repeatedly if there are other
  concurrent updates in progress.
* try_update will run the provided block, passing the current value and
  replacing it with the block result. If the value changes before the
  update can happen, it will throw Atomic::ConcurrentUpdateError.


#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:  noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install
rm -rf %{buildroot}%{gem_extdir_mri}/ext

%files
%{gem_instdir}/
%{gem_extdir_mri}
%{gem_spec}

%files          doc
%doc %{gem_docdir}


%changelog
* Wed Dec 04 2024 pterjan <pterjan> 1.1.101-7.mga10
+ Revision: 2120962
- Rebuild for Ruby 3.3

* Fri Mar 25 2022 umeabot <umeabot> 1.1.101-6.mga9
+ Revision: 1827087
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 pterjan <pterjan> 1.1.101-5.mga9
+ Revision: 1784571
- Rebuild for Ruby 3.1

* Mon Mar 02 2020 pterjan <pterjan> 1.1.101-4.mga8
+ Revision: 1553149
- Rebuild for ruby 2.7

* Fri Feb 14 2020 umeabot <umeabot> 1.1.101-3.mga8
+ Revision: 1516638
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.1.101-2.mga7
+ Revision: 1300871
- Mageia 7 Mass Rebuild

* Thu May 17 2018 pterjan <pterjan> 1.1.101-1.mga7
+ Revision: 1230068
- Update to 1.1.101

* Mon Apr 02 2018 pterjan <pterjan> 1.1.100-1.mga7
+ Revision: 1214523
- Upgrade to 1.1.100

* Mon Jan 01 2018 pterjan <pterjan> 1.1.16-8.mga7
+ Revision: 1188466
- Rebuild for Ruby 2.5

* Tue Aug 15 2017 pterjan <pterjan> 1.1.16-7.mga7
+ Revision: 1140821
- Rebuild for new Ruby

* Wed Oct 19 2016 pterjan <pterjan> 1.1.16-6.mga6
+ Revision: 1062503
- Use gem_setup

* Sun Oct 16 2016 tv <tv> 1.1.16-5.mga6
+ Revision: 1061025
- switch to %%autosetup (mga#15579)

* Fri Feb 12 2016 umeabot <umeabot> 1.1.16-4.mga6
+ Revision: 958786
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.16-3.mga6
+ Revision: 749916
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.16-2.mga5
+ Revision: 688749
- Mageia 5 Mass Rebuild

* Mon May 26 2014 pterjan <pterjan> 1.1.16-1.mga5
+ Revision: 626603
- Update to 1.1.16

* Mon May 26 2014 pterjan <pterjan> 1.1.16-5.mga5
+ Revision: 626602
- Update to 1.1.16

* Sat Dec 28 2013 pterjan <pterjan> 1.1.14-5.mga4
+ Revision: 561723
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 1.1.14-4.mga4
+ Revision: 561051
- Fix gem macros

* Sat Dec 21 2013 pterjan <pterjan> 1.1.14-3.mga4
+ Revision: 559629
- Update for new binary extensions location

* Mon Oct 21 2013 umeabot <umeabot> 1.1.14-2.mga4
+ Revision: 538824
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 pterjan <pterjan> 1.1.14-1.mga4
+ Revision: 490451
- 1.1.14

* Fri Sep 20 2013 pterjan <pterjan> 1.1.10-3.mga4
+ Revision: 481863
- Rebuild for Ruby 2

* Mon Sep 09 2013 pterjan <pterjan> 1.1.10-2.mga4
+ Revision: 476508
- Fix file list
- Patch gemspec to build without being inside a git checkout

* Thu Jun 27 2013 fwang <fwang> 1.1.10-1.mga4
+ Revision: 447489
- update file list
- imported package ruby-atomic

